Bug 1167132 - [abrt] pcmanfm: fm_mime_type_ref(): pcmanfm killed by SIGSEGV
Summary: [abrt] pcmanfm: fm_mime_type_ref(): pcmanfm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5df675454e9726b2efbb53b3727...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-23 23:01 UTC by Karsten Roch
Modified: 2015-06-10 19:14 UTC (History)
1 user (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.79 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: cgroup (180 bytes, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: core_backtrace (11.27 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: dso_list (8.74 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: environ (1.08 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: exploitable (100 bytes, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: maps (41.47 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: open_fds (1.48 KB, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details
File: var_log_messages (175 bytes, text/plain)
2014-11-23 23:01 UTC, Karsten Roch
no flags Details

Description Karsten Roch 2014-11-23 23:01:36 UTC
Version-Release number of selected component:
pcmanfm-1.2.3-1.fc22

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        pcmanfm --desktop --profile LXDE
crash_function: fm_mime_type_ref
executable:     /usr/bin/pcmanfm
kernel:         3.17.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_mime_type_ref at base/fm-mime-type.c:326
 #1 _fm_template_guess_mime_type at base/fm-templates.c:160
 #2 _fm_template_find_for_file at base/fm-templates.c:291
 #3 on_dir_changed at base/fm-templates.c:657
 #4 ffi_call_unix64 at ../src/x86/unix64.S:76
 #5 ffi_call at ../src/x86/ffi64.c:525
 #6 g_cclosure_marshal_generic_va at gclosure.c:1541
 #7 _g_closure_invoke_va at gclosure.c:831
 #10 emit_cb at gfilemonitor.c:404
 #15 gtk_main at gtkmain.c:1207

Potential duplicate: bug 1119219

Comment 1 Karsten Roch 2014-11-23 23:01:39 UTC
Created attachment 960518 [details]
File: backtrace

Comment 2 Karsten Roch 2014-11-23 23:01:40 UTC
Created attachment 960519 [details]
File: cgroup

Comment 3 Karsten Roch 2014-11-23 23:01:42 UTC
Created attachment 960520 [details]
File: core_backtrace

Comment 4 Karsten Roch 2014-11-23 23:01:43 UTC
Created attachment 960521 [details]
File: dso_list

Comment 5 Karsten Roch 2014-11-23 23:01:44 UTC
Created attachment 960522 [details]
File: environ

Comment 6 Karsten Roch 2014-11-23 23:01:45 UTC
Created attachment 960523 [details]
File: exploitable

Comment 7 Karsten Roch 2014-11-23 23:01:46 UTC
Created attachment 960524 [details]
File: limits

Comment 8 Karsten Roch 2014-11-23 23:01:48 UTC
Created attachment 960525 [details]
File: maps

Comment 9 Karsten Roch 2014-11-23 23:01:49 UTC
Created attachment 960526 [details]
File: open_fds

Comment 10 Karsten Roch 2014-11-23 23:01:51 UTC
Created attachment 960527 [details]
File: proc_pid_status

Comment 11 Karsten Roch 2014-11-23 23:01:52 UTC
Created attachment 960528 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 16:32:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora Update System 2015-05-21 16:12:19 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 14 Fedora Update System 2015-05-21 16:13:18 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 15 Fedora Update System 2015-05-21 16:13:57 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 16 Fedora Update System 2015-05-22 17:55:33 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-06-10 19:12:41 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-10 19:13:09 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-10 19:14:14 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.